#!/bin/sh
# gen_parms NFILES FILELEN FILENAME DISKDEVS DIRS
#
# Adapted from Bob Novack's mount_disks.sh
# Note: DISKDEVS and DIRS are quoted strings, DIRS is ignored

# This version REQUIRES that the NFILES paramter be 4, this is requird
# to allow a simple algorithm for distributing the files across the
# devices.

NFILES=$1

if [ $NFILES -ne 4 ]
then
	echo "***" Number of files must be 4.  Sorry, I "can't" proceed. >/dev/tty
	echo "***" >/dev/tty
	exit 1
fi

shift
echo FILES=$NFILES ";"

echo FILELEN=$1 ";"
shift

RESULTDIR=`pwd`

FILENAME=$1
shift

I="0"
next=0
LASTDIR=$RESULTDIR
for DISKDEV in $1
do
	case $DISKDEV in
	-t)
		next=1
		;;
	*)
		if [ "$next" = "1" ]
		then
			DISKTYPE=$DISKDEV
			next=0
		else
			echo DIR$I=$RESULTDIR/mount_$I ";"
			echo DEVICE$I=$DISKDEV ";"
			mkdir $RESULTDIR/mount_$I
			LASTDIR=$RESULTDIR/mount_$I
			I=`expr $I + 1`
		fi
		;;
	esac
done
echo MOUNTS=$I ";"

case $I in

1)	echo FILE0=$RESULTDIR/mount_0/${FILENAME}0 ";"
	echo FILE1=$RESULTDIR/mount_0/${FILENAME}1 ";"
	echo FILE2=$RESULTDIR/mount_0/${FILENAME}2 ";"
	echo FILE3=$RESULTDIR/mount_0/${FILENAME}3 ";"
	;;

2)	echo FILE0=$RESULTDIR/mount_0/${FILENAME}0 ";"
	echo FILE1=$RESULTDIR/mount_0/${FILENAME}1 ";"
	echo FILE2=$RESULTDIR/mount_1/${FILENAME}2 ";"
	echo FILE3=$RESULTDIR/mount_1/${FILENAME}3 ";"
	;;

3)	echo FILE0=$RESULTDIR/mount_0/${FILENAME}0 ";"
	echo FILE1=$RESULTDIR/mount_1/${FILENAME}1 ";"
	echo FILE2=$RESULTDIR/mount_2/${FILENAME}2 ";"
	echo FILE3=$RESULTDIR/mount_2/${FILENAME}3 ";"
	;;

*)	echo FILE0=$RESULTDIR/mount_0/${FILENAME}0 ";"
	echo FILE1=$RESULTDIR/mount_1/${FILENAME}1 ";"
	echo FILE2=$RESULTDIR/mount_2/${FILENAME}2 ";"
	echo FILE3=$RESULTDIR/mount_3/${FILENAME}3 ";"
	;;
esac

