| locking code for Motorola 68000 systems

.globl _LOCK
_LOCK:
        move.l  4(sp),a0                | get lock address
loop:
        tas     (a0)                    | try for the lock
        jpl     done                    | (got it, return)
spin:
        tst.b   (a0)                    | wait for it to be unlocked
        jpl     loop
        jra     spin
done:
        rts

.globl _UNLOCK,_INIT_LOCK
_INIT_LOCK:
_UNLOCK:
        move.l  4(sp),a0                | get lock address
        move.b  (a0),d0                 | get previous value
        clr.l   d1
        cas.b   d0,d1,(a0)              | clear lock (interlocked cycle)
        rts

.globl _CLOCK
_CLOCK:
        move.l  4(sp),a0                | get lock address
        moveq   #1,d0                   | SUCCESS return value
        tas     (a0)
        bpl     out
        clr.l   d0                      | FAILURE return value
out:
        rts
