| locking code for Sun Motorola 68000 systems

.globl _LOCK
_LOCK:
        movel  sp@(4),a0               | get lock address
loop:
        tas     a0@                    | try for the lock
        jpl     done                   | (got it, return)
spin:
        tstb    a0@                    | wait for it to be unlocked
        jpl     loop
        jra     spin
done:
        rts

.globl _UNLOCK,_INIT_LOCK
_INIT_LOCK:
_UNLOCK:
        movel  sp@(4),a0               | get lock address
        moveb  a0@,d0                  | get previous value
        clrl   d1
        casb   d0,d1,a0@               | clear lock (interlocked cycle)
        rts

.globl _CLOCK
_CLOCK:
        movel  sp@(4),a0                | get lock address
        moveq   #1,d0                   | SUCCESS return value
        tas     a0@
        bpl     out
        clrl   d0                       | FAILURE return value
out:
        rts
