# awk script to analyze 084.iobenchpf results
#
#    Field         Contents
#
#      1           Number of files (input)
#      2           Number of users (input)
#      3           Record length (input)
#      4           Number of records (input)
#      5           Number of reads (input)
#      6           Number of writes (input)
#      7           CPU work parameter (input)
#      8           Number of cycles (input or output)
#      9           Cycles per second (output)
#     10           Actual time (output)
#     11           Flush time (output)
#     12           User CP seconds (output)
#     13           System CP seconds (output)
#     14           Total average response time (output)
#     15           Number of failed users (output)
#     16           Number of lock hits (output)
#
BEGIN { getline;print "USERS   RECLEN      CPS   ACTUAL   FLUSH   USER    SYS   USER/SYS   TART" }
{ta = ta + $10; tf = tf + $11;
printf "%5d%9d%9.1f%9d%8d%7.1f%7.1f%11.2f%7.1f\n", $2,$3,$9,$10,$11,$12,$13,($12/$13),$14}
END { printf "TOTAL                  %9d%8d\n",ta,tf;
printf "Total run time is %d\n",ta+tf}

